<template>
  <div class="bounty-social">
    <h3 class="title-component">{{ $t('bounty.social.sns_title', {tokens: settings.facebook_share.value}) }}</h3>
    <div class="note">
      <p class="note__item">
        - {{ $t('bounty.social.sns_note1') }}
      </p>
      <p class="note__item">
        - {{ $t('bounty.social.sns_note2') }}
      </p>
    </div>
    <div class="referral-program-table-container">
      <table class="referral-program-table">
        <thead>
          <tr>
            <th>{{ $t('bounty.social.action') }}</th>
            <th>{{ $t('bounty.social.token') }}</th>
            <th>{{ $t('bounty.social.button') }}</th>
            <th></th>
            <th>{{ $t('bounty.social.note') }}</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>{{ $t('bounty.social.link_share.title', {social: 'Facebook'}) }}</td>
            <td>{{ ((hasProperty('facebook_share') && data.facebook_share.status === 'approved' && !!settings ) ? settings.facebook_share.value : 0) | formatCurrencyAmount('heta', '0') }}</td>
            <td>
              <social-sharing :url="urlSharing" v-cloak inline-template>
                <network network="facebook">
                  <div class="btn-share">
                    <span class="iconmo-facebook"><span class="path1"></span><span class="path2"></span></span>
                  </div>
                </network>
              </social-sharing>
            </td>
            <td>
              <input type="text"
                     v-tooltip="$t('bounty.social.link_profile.tooltip', {link: 'facebook.com'})"
                     class="form-control"
                     v-model="fbShareMetaData"
                     :placeholder="$t('bounty.social.copy_share_link')"
                     :disabled="hasProperty('facebook_share')">
              <span class="sub-description">{{ $t('bounty.social.share_tag') }}</span>
            </td>
            <td>
              <button class="btn btn-primary btn-orange" type="button" @click="createBounty('facebook_share', fbShareMetaData)" v-if="!hasProperty('facebook_share')">SHARE</button>
              <span v-else :class="[`status_${data.facebook_share.status}`]">{{ data.facebook_share.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.link_share.title', {social: 'Google +'}) }}</td>
            <td>{{ ((hasProperty('google_share') && data.google_share.status === 'approved' && !!settings ) ? settings.google_share.value : 0) | formatCurrencyAmount('heta', '0') }}</td>
            <td>
              <social-sharing :url="urlSharing" inline-template>
                <network network="googleplus">
                  <div class="btn-share">
                    <span class="iconmo-google-plus"><span class="path1"></span><span class="path2"></span><span class="path3"></span></span>
                  </div>
                </network>
              </social-sharing>
            </td>
            <td>
              <input type="text" v-tooltip="$t('bounty.social.link_profile.tooltip', {link: 'plus.google.com'})" class="form-control" v-model="ggShareMetaData" :placeholder="$t('bounty.social.copy_share_link')" :disabled="hasProperty('google_share')">
              <span class="sub-description">{{ $t('bounty.social.share_tag') }}</span>
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('google_share', ggShareMetaData)" v-if="!hasProperty('google_share')">SHARE</button>
              <span v-else :class="[`status_${data.google_share.status}`]">{{ data.google_share.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.link_share.title', {social: 'LinkedIn'}) }}</td>
            <td>{{ ((hasProperty('linkedin_share') && data.linkedin_share.status === 'approved' && !!settings ) ? settings.linkedin_share.value : 0) | formatCurrencyAmount('heta', '0') }}</td>
            <td>
              <social-sharing :url="urlSharing" inline-template>
                <network network="linkedin">
                  <div class="btn-share">
                    <span class="iconmo-linkedin"><span class="path1"></span><span class="path2"></span></span>
                  </div>
                </network>
              </social-sharing>
            </td>
            <td><input type="text" class="form-control" v-tooltip="$t('bounty.social.link_profile.tooltip', {link: 'linkedin.com'})" :placeholder="$t('bounty.social.copy_share_link')" v-model="linkedInShareMetaData" :disabled="hasProperty('linkedin_share')">
              <span class="sub-description">{{ $t('bounty.social.share_tag') }}</span>
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('linkedin_share', linkedInShareMetaData)" v-if="!hasProperty('linkedin_share')">SHARE</button>
              <span v-else :class="[`status_${data.linkedin_share.status}`]">{{ data.linkedin_share.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.link_share.title', {social: 'Twitter'}) }}</td>
            <td>{{ ((hasProperty('twitter_share') && data.twitter_share.status === 'approved' && !!settings ) ? settings.twitter_share.value : 0) | formatCurrencyAmount('heta', '0') }}</td>
            <td>
              <social-sharing :url="urlSharing" v-cloak inline-template>
                <network network="twitter">
                  <div class="btn-share">
                    <span class="iconmo-twitter"><span class="path1"></span><span class="path2"></span></span>
                  </div>
                </network>
              </social-sharing>
            </td>
            <td>
              <input type="text" class="form-control"  v-tooltip="$t('bounty.social.link_profile.tooltip', {link: 'twitter.com'})" :placeholder="$t('bounty.social.copy_share_link')" v-model="twitterShareMetaData" :disabled="hasProperty('twitter_share')">
              <span class="sub-description">{{ $t('bounty.social.share_tag') }}</span>
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('twitter_share', twitterShareMetaData)" v-if="!hasProperty('twitter_share')">SHARE</button>
              <span v-else :class="[`status_${data.twitter_share.status}`]">{{ data.twitter_share.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.facebook_like.title') }}</td>
            <td>{{ ((hasProperty('facebook_like') && data.facebook_like.status === 'approved' && !!settings ) ? settings.facebook_like.value : 0) | formatCurrencyAmount('heta', '0') }}</td>
            <td>
              <a class="btn-share facebook" href="https://www.facebook.com/hetachainofficial" target="_blank">
                <span class="iconmo-facebook"><span class="path1"></span><span class="path2"></span></span>
              </a>
            </td>
            <td>
              <input type="text" class="form-control" v-tooltip="$t('bounty.social.link_profile.tooltip', {link: 'facebook.com'})" :placeholder="$t('bounty.social.copy_share.link', {social: 'Facebook'})" v-model="fbLikeMetaData" :disabled="hasProperty('facebook_like')">
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('facebook_like', fbLikeMetaData)" v-if="!hasProperty('facebook_like')">LIKE</button>
              <span v-else :class="[`status_${data.facebook_like.status}`]">{{ data.facebook_like.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.youtube_sub.title') }}</td>
            <td>{{ ((hasProperty('youtube_subscribe') && data.youtube_subscribe.status === 'approved' && !!settings ) ? settings.youtube_subscribe.value : 0) | formatCurrencyAmount('heta', '0') }}</td>
            <td>
              <a class="btn-share youtube" href="https://www.youtube.com/channel/UCP2EHgCDI6guWPldtosMyfw" target="_blank">
                <span class="iconmo-youtube"><span class="path1"></span><span class="path2"></span></span>
              </a>
            </td>
            <td>
              <input type="text" class="form-control" v-tooltip="$t('bounty.social.link_profile.tooltip', {link: 'youtube.com'})" :placeholder="$t('bounty.social.copy_share.link', {social: 'Youtube'})" v-model="youtubeMetaData" :disabled="hasProperty('youtube_subscribe')">
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('youtube_subscribe', youtubeMetaData)" v-if="!hasProperty('youtube_subscribe')">SUBS</button>
              <span v-else :class="[`status_${data.youtube_subscribe.status}`]">{{ data.youtube_subscribe.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.linkedin_connect.title') }}</td>
            <td>{{ ((hasProperty('linkedin_connection') && data.linkedin_connection.status === 'approved' && !!settings ) ? settings.linkedin_connection.value : 0) | formatCurrencyAmount('heta', '0') }}</td>
            <td>
              <a class="btn-share linkedin" href="https://www.linkedin.com/company/hetachain-network/" target="_blank">
                <span class="iconmo-linkedin"><span class="path1"></span><span class="path2"></span></span>
              </a>
            </td>
            <td>
              <input type="text" class="form-control" v-tooltip="$t('bounty.social.link_profile.tooltip', {link: 'linkedin.com'})" :placeholder="$t('bounty.social.copy_share.link', {social: 'Linkedin'})" v-model="linkedinConnectionMetaData" :disabled="hasProperty('linkedin_connection')">
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('linkedin_connection', linkedinConnectionMetaData)" v-if="!hasProperty('linkedin_connection')">CONNECT</button>
              <span v-else :class="[`status_${data.linkedin_connection.status}`]">{{ data.linkedin_connection.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.link_follow.title', {social: 'Twitter'}) }}</td>
            <td>{{ ((hasProperty('twitter_follow') && data.twitter_follow.status === 'approved' && !!settings ) ? settings.twitter_follow.value : 0) | formatCurrencyAmount('heta', '0') }}</td>
            <td>
              <a class="btn-share twitter" href="https://twitter.com/heta_org" target="_blank">
                <span class="iconmo-twitter"><span class="path1"></span><span class="path2"></span></span>
              </a>
            </td>
            <td>
              <input type="text" class="form-control" :placeholder="$t('bounty.social.copy_share.username', {social: 'Twitter'})" v-model="twitterFollowMetaData" :disabled="hasProperty('twitter_follow')">
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('twitter_follow', twitterFollowMetaData)" v-if="!hasProperty('twitter_follow')">FOLLOW</button>
              <span v-else :class="[`status_${data.twitter_follow.status}`]">{{ data.twitter_follow.status | upperFirst }}</span>
            </td>
          </tr>
          <!-- <tr>
            <td>Reddit follower</td>
            <td>{{ ((hasProperty('reddit_follow') && data.reddit_follow.status === 'approved' && !!settings ) ? data.reddit_follow.heta_tokens : 0 ) | formatCurrencyAmount('heta', '0')}}</td>
            <td>
              <a class="btn-share reddit" href="https://www.reddit.com/user/hetachain" target="_blank">
                <div class="icon"><i class="fa fa-reddit"></i></div>
                <div class="text">Reddit</div>
              </a>
            </td>
            <td>
              <input type="text" class="form-control" placeholder="Copy and Paste Reddit's username (@jonhstark)" v-model="redditFollowMetaData" :disabled="hasProperty('reddit_follow')">
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('reddit_follow', redditFollowMetaData)" v-if="!hasProperty('reddit_follow')">Done</button>
              <span v-else :class="[`status_${data.reddit_follow.status}`]">{{ data.reddit_follow.status | upperFirst }}</span>
            </td>
          </tr> -->
          <tr>
            <td>{{ $t('bounty.social.telegram_join.title') }}</td>
            <td>{{ ((hasProperty('telegram_join') && data.telegram_join.status === 'approved' && !!settings ) ? settings.telegram_join.value : 0) | formatCurrencyAmount('heta', '0') }}</td>
            <td>
              <a class="btn-share telegram" href="https://t.me/Hetachain_Community" target="_blank">
                <span class="iconmo-telegram"><span class="path1"></span><span class="path2"></span></span>
              </a>
            </td>
            <td>
              <input type="text" class="form-control" :placeholder="$t('bounty.social.copy_share.username', {social: 'Telegram'})" v-model="telegramJoinMetaData" :disabled="hasProperty('telegram_join')">
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('telegram_join', telegramJoinMetaData)" v-if="!hasProperty('telegram_join')">JOIN</button>
              <span v-else :class="[`status_${data.telegram_join.status}`]">{{ data.telegram_join.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.telegram_news_join.title') }}</td>
            <td>{{ ((hasProperty('telegram_news_join') && data.telegram_news_join.status === 'approved' && !!settings ) ? settings.telegram_news_join.value : 0) | formatCurrencyAmount('heta', '0') }}</td>
            <td>
              <a class="btn-share telegram" href="https://t.me/Hetachain_Announcement" target="_blank">
                <span class="iconmo-telegram"><span class="path1"></span><span class="path2"></span></span>
              </a>
            </td>
            <td>
              <input type="text" class="form-control" :placeholder="$t('bounty.social.copy_share.username', {social: 'Telegram'})" v-model="telegramNewsJoinMetaData" :disabled="hasProperty('telegram_news_join')">
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('telegram_news_join', telegramNewsJoinMetaData)" v-if="!hasProperty('telegram_news_join')">JOIN</button>
              <span v-else :class="[`status_${data.telegram_news_join.status}`]">{{ data.telegram_news_join.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.link_follow.title', {social: 'Medium'}) }}</td>
            <td>{{ ((hasProperty('medium_follow') && data.medium_follow.status === 'approved' && !!settings ) ? settings.medium_follow.value : 0) | formatCurrencyAmount('heta', '0') }}</td>
            <td>
              <a class="btn-share medium" href="https://medium.com/@hetachain_blog" target="_blank">
                <span class="iconmo-medium"><span class="path1"></span><span class="path2"></span><span class="path3"></span><span class="path4"></span></span>
              </a>
            </td>
            <td>
              <input type="text" class="form-control" :placeholder="$t('bounty.social.copy_share.username', {social: 'Medium'})" v-model="mediumFollowMetaData" :disabled="hasProperty('medium_follow')">
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('medium_follow', mediumFollowMetaData)" v-if="!hasProperty('medium_follow')">FOLLOW</button>
              <span v-else :class="[`status_${data.medium_follow.status}`]">{{ data.medium_follow.status | upperFirst }}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.link_follow.title', {social: 'Steemit'}) }}</td>
            <td>{{ ((hasProperty('steemit_follow') && data.steemit_follow.status === 'approved' && !!settings ) ? settings.steemit_follow.value : 0) | formatCurrencyAmount('heta', '0') }}</td>
            <td>
              <a class="btn-share steemit" href="https://steemit.com/@hetachain" target="_blank">
                <span class="fa-steemit"></span>
              </a>
            </td>
            <td>
              <input type="text" class="form-control" :placeholder="$t('bounty.social.copy_share.username', {social: 'Steemit'})" v-model="steemitFollowMetaData" :disabled="hasProperty('steemit_follow')">
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('steemit_follow', steemitFollowMetaData)" v-if="!hasProperty('steemit_follow')">FOLLOW</button>
              <span v-else :class="[`status_${data.steemit_follow.status}`]">{{ data.steemit_follow.status | upperFirst}}</span>
            </td>
          </tr>
          <tr>
            <td>{{ $t('bounty.social.link_follow.title', {social: 'BitcoinTalk'}) }}</td>
            <td>{{ ((hasProperty('bitcoin_talk_follow') && data.bitcoin_talk_follow.status === 'approved' && !!settings ) ? settings.bitcoin_talk_follow.value : 0) | formatCurrencyAmount('heta', '0') }}</td>
            <td>
              <a class="btn-share btc" href="https://bitcointalk.org/index.php?topic=5043478.msg46488484#msg46488484" target="_blank">
                <div class="fa-btc"></div>
              </a>
            </td>
            <td>
              <input type="text" class="form-control" :placeholder="$t('bounty.social.copy_share.username', {social: 'Bitcoin Talk'})" v-model="bitcoinTalkFollowMetaData" :disabled="hasProperty('bitcoin_talk_follow')">
            </td>
            <td>
              <button class="btn btn-primary btn-orange" @click="createBounty('bitcoin_talk_follow', bitcoinTalkFollowMetaData)" v-if="!hasProperty('bitcoin_talk_follow')">FOLLOW</button>
              <span v-else :class="[`status_${data.bitcoin_talk_follow.status}`]">{{ data.bitcoin_talk_follow.status | upperFirst }}</span>
            </td>
          </tr>
          <tr class="totalRow">
            <td></td>
            <td class="total">{{ total | formatCurrencyAmount('heta', '0') }}</td>
            <td ></td>
            <td ></td>
            <td class="total">{{ $t('bounty.social.total') }}</td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</template>

<script>
import _ from 'lodash';
import { mapState } from 'vuex';
import MobileDetect from 'mobile-detect';

import rf from '../../../common/requests/RequestFactory';
import bignumber from 'bignumber.js';

export default {
  props: {
    settings: {
      type: Object,
      default: null,
      required: true,
    }
  },
  data () {
    return {
      urlSharing: 'https://www.heta.org/',
      data: {},
      total: 0,
      fbShareMetaData: '',
      ggShareMetaData: '',
      linkedInShareMetaData: '',
      twitterShareMetaData: '',
      fbLikeMetaData: '',
      youtubeMetaData: '',
      linkedinConnectionMetaData: '',
      twitterFollowMetaData: '',
      redditFollowMetaData: '',
      telegramJoinMetaData: '',
      telegramNewsJoinMetaData: '',
      mediumFollowMetaData: '',
      steemitFollowMetaData: '',
      bitcoinTalkFollowMetaData: '',
    };
  },
  computed: {
    ...mapState([
      'user',
    ]),
  },
  methods: {
    hasProperty (property) {
      return _.has(this.data, property);
    },
    async getSocialBounty () {
      const data = await rf.getRequest('BountyRequest').getSocialBounty();
      this.data = _.keyBy(data.data, 'type');
      this.initData();
      this.calculatorTotal();
    },
    calculatorTotal () {
      this.total = 0;
      Object.keys(this.data).forEach(key => {
        if (this.data[key].status === 'approved') {
          this.total = bignumber(this.total).plus(this.data[key].heta_tokens);
        }
      });
      this.total = this.total.toString();
    },
    createBounty (type, metaData) {
      if (!metaData.trim()) {
        this.$toasted.error(this.$t(`bounty.error.${type}`), {
          position: 'bottom-right',
          duration : 2000
        });
        return;
      }
      const params = {
        user_id: this.user.id,
        type,
        meta_data: metaData
      };
      rf.getRequest('BountyRequest').create(params)
        .then(res => {
          this.getSocialBounty();
        })
        .catch(res => {
          const message = _.chain(res.errors).values().head().value()[0] || 'Error';
          this.$toasted.error(message, {
            position: 'bottom-right',
            duration : 2000
          });
        })
    },
    initData () {
      this.fbShareMetaData = this.hasProperty('facebook_share') ? this.data.facebook_share.meta_data : '';
      this.ggShareMetaData = this.hasProperty('google_share') ? this.data.google_share.meta_data : '';
      this.linkedInShareMetaData = this.hasProperty('linkedin_share') ? this.data.linkedin_share.meta_data : '';
      this.twitterShareMetaData = this.hasProperty('twitter_share') ? this.data.twitter_share.meta_data : '';
      this.fbLikeMetaData = this.hasProperty('facebook_like') ? this.data.facebook_like.meta_data : '';
      this.youtubeMetaData = this.hasProperty('youtube_subscribe') ? this.data.youtube_subscribe.meta_data : '';
      this.linkedinConnectionMetaData = this.hasProperty('linkedin_connection') ? this.data.linkedin_connection.meta_data : '';
      this.twitterFollowMetaData = this.hasProperty('twitter_follow') ? this.data.twitter_follow.meta_data : '';
      this.redditFollowMetaData = this.hasProperty('reddit_follow') ? this.data.reddit_follow.meta_data : '';
      this.telegramJoinMetaData = this.hasProperty('telegram_join') ? this.data.telegram_join.meta_data : '';
      this.telegramNewsJoinMetaData = this.hasProperty('telegram_news_join') ? this.data.telegram_news_join.meta_data : '';
      this.mediumFollowMetaData = this.hasProperty('medium_follow') ? this.data.medium_follow.meta_data : '';
      this.steemitFollowMetaData = this.hasProperty('steemit_follow') ? this.data.steemit_follow.meta_data : '';
      this.bitcoinTalkFollowMetaData = this.hasProperty('bitcoin_talk_follow') ? this.data.bitcoin_talk_follow.meta_data : '';
    },
  },
  created () {
    this.getSocialBounty();
  },
}
</script>
<style lang="scss">
  @import '../../../../sass/mobile/typoVariables.scss';
  .toasted-container .toasted {
    padding: 0 10rem !important;
  }

  .btn.btn-primary {
    padding: 6rem 12rem;
    font-size: $small;
    color: $white;
    border: 1rem solid #3490dc;
    background-color: #3490dc;
    border-radius: 3rem;
  }

  .btn-share {
    display: inline-block;
    width: 32rem;
    height: 32rem;
    line-height: 32rem;
    margin-bottom: 0;
    margin-top: 5rem;
    text-align: center;
    border-radius: 50%;
    .icon {
      color: #fff;
      width: 36rem;
      float: left;
      position: relative;
      &:before {
        content: '';
        width: 1rem;
        height: 14rem;
        right: 0;
        border-right: 1rem solid #f2f2f2;
        position: absolute;
        top: 10rem;
      }
    }
    .text {
      color: #fff;
      width: calc(100% - 36rem);
      float: left;
    }

    [class^="iconmo-"] {
      font-size: 31rem !important;
    }
  }
</style>

<style scoped lang="scss">
  @import '../../../../sass/mobile/typoVariables.scss';
  .referral-program-table-container {
    margin-top: 20rem;
    width: 100%;
    max-width: 1130rem;
    border-radius: 3rem;
    background-color: $bg_primary;
    border: 1rem solid #d2d2d2;
    .referral-program-table {
      width: 100%;
      thead {
        font-size: 14rem;
        color: rgb(34,44,60);
        th {
          height: 39rem;
          text-align: left;
          background-color: #e0e0e0;
          padding-left: 55rem;
        }
      }
      tbody {
        td {
          height: 39rem;
          font-size: 13rem;
          color: #222c3c;
          font-weight: 300;
          padding-left: 55rem;
          &.total {
            font-size: 14rem;
            color: rgb(34,44,60);
            font-weight: 700;
          }
          input {
            text-align: center;
            padding: 5rem;
            &::placeholder {
              font-weight: 400;
              color:  #d0d0d0;
            }
          }
        }
      }

      .sub-description {
        display: none;
      }

      tr:nth-last-child(2) td {
        padding-bottom: 30rem;
      }

      tr th:first-child,
      tr td:first-child {
        display: none;
      }

      tr th:nth-child(2),
      tr td:nth-child(2) {
        padding-left: 10rem !important;
      }

      tr td {
        padding-left: 5rem !important;
        padding: 5rem 0 5rem 10rem;
      }

      tr td:last-child {
        text-align: center;
        padding-right: 10rem;
        padding-left: 40rem;
      }

      tr:first-child td {
        padding-top: 15rem;
      }

      tr:last-child td {
        padding: 15rem 0 13rem 10rem;
      }

      tr th {
        padding: 12rem 0 12rem 5rem;
        padding-left: 5rem !important;

        &:last-child {
          text-align: center;
          padding-left: 0 !important;
        }
      }

      .btn-orange {
        padding-left: 8rem;
        padding-right: 8rem;
      }
    }
  }

  .air-drop-social-media {
    padding: 30rem 12rem 35rem !important;
  }

  .note {
    display: block;
    font-size: 13rem;
    color: #222c3c;
    font-weight: 300;

    .note__item {
        margin-bottom: 10rem;
    }
  }

  .btn-orange {
    width: 80rem;
    display: inline-block;
    border-radius: 74rem;
    background-color: #fff !important;
    border: 1rem solid $orangeBold;
    color: $orangeBold;
    font-size: $tiny !important;
    font-weight: bold !important;
  }

  .input-wrapper {
    position: relative;
  }

  .fa-steemit,
  .fa-btc {
    width: 32rem;
    height: 32rem;
    border-radius: 50%;
    display: inline-block;
    background-size: cover;
    background-position: center;
    background-image: url("/images/icon/steemit.png");
  }

  .fa-btc {
    background-image: url("/images/icon/balanceImg/heta-btc-icon.png");
  }

  .form-control {
    background-color: #fff;
    width: 100%;
    border-radius: 74rem;
    padding: 5rem 10rem !important;
    border: none;

    &::placeholder {
      font-size: 0;
    }

    &:focus {
      outline: none;
    }
  }

  .status_approved {
    color: #09a532;
    text-transform: capitalize;
    font-weight: bold;
  }
  .status_pending {
    color: #ffb200;
    font-weight: bold;
    text-transform: capitalize;
  }
  .status_rejected {
    color: red;
    font-weight: bold;
    text-transform: capitalize;
  }

  [class^="iconmo-"] {
    font-size: 31rem !important;
  }

  .totalRow {
    background-color: $dark_orange;
    .total {
      text-transform: uppercase;
    }
    td {
      color: #fff !important;
    }
  }
</style>
